Get Network Churn Capacity Pool
curl --request GET \
--url https://api.rated.network/v0/eth/network/capacity/pool \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/network/capacity/pool"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/network/capacity/pool', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"capacityFilled": 0.28048,
"churnLimit": 12600,
"latestEpoch": 187225,
"networkCapacityRemaining": 0.41198,
"pool": "Lido",
"stakeAction": "activation",
"time_window": "7d",
"validatorCount": 3534
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Network
Network churn capacity per pool
GET
/
v0
/
eth
/
network
/
capacity
/
pool
Get Network Churn Capacity Pool
This endpoint returns a summary of activations and exits, broken down by staking pool.
Here’s how to interpret the inputs required to operate it 👇
| Parameter | Description |
|---|---|
window | The time window of aggregation. You might ask for 1d, 7d, 30d or All-time data |
stakeAction | Direction of flow. This can be either of activation or exit |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
Available options:
1d, 7d, 30d, all Available options:
activation, exit Response
Successful Response
Available options:
1d, 7d, 30d, all Available options:
activation, exit Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0